import 'package:flutter/material.dart';
import 'package:fun_selfie_app/utils/common_toast.dart';

class NewsDetailPage extends StatefulWidget {
  const NewsDetailPage({Key? key, required this.ids}) : super(key: key);
  final String ids;

  @override
  State<StatefulWidget> createState() => _NewsDetailPageState();
}

class _NewsDetailPageState extends State<NewsDetailPage> {
  var data = {
    "title": "斗门希尔顿「林俭华&魏映雪」婚礼直播",
    "area": "珠海",
    'creatTime': '2023年6月02日',
    'lpzs': 5,
    'zpzs': 3,
    'bcsj': 3,
    'isPt': true,
    "image":
        "https://img-blog.csdnimg.cn/c6dfd375abf1433fa3a42951cc186a2b.jpeg",
    "content":
        "财联社6月2日讯（编辑 卞纯）去年底人工智能（AI）聊天机器人ChatGPT的问世，在全球范围内掀起了一股AI热潮，并推动AI的发展步入“快车道”。根据一份行业报告，ChatGPT及其竞争对手谷歌Bard等AI工具的发布，将推动一场长达十年的AI繁荣，预计到2032年，生成式AI市场的营收规模将从去年的400亿美元增长逾30倍至1.3万亿美元。根据以曼迪普·辛格（Mandeep Singh）为首的彭博智库（Bloomberg Intelligence）分析师发布的一份新报告，未来十年生成式AI行业可能会以高达42%的复合速度高速增长。报告指出，生成式AI市场将首先由训练AI系统所必需的基础设施需求推动，到2032年，这方面的业务收入将达到2470亿美元；然后，增长动力来自使用AI模型、广告等服务的设备，到2032年，AI支持的数字广告业务收入将达1920亿美元，AI服务器的收入可能达1340亿美元。“未来十年，世界将看到AI领域的爆炸式增长，这有望从根本上改变科技行业的运作方式。” 辛格周四在一份声明中表示。“随着这项技术的发展，它将成为IT支出、广告支出和网络安全等领域中越来越重要的一部分。”自去年年底ChatGPT推出以来，对生成式AI的需求在全球范围内激增，这项技术有望颠覆从客户服务到银行业的一切。这一生成式AI产品使用来自互联网的大量数据样本来学习如何对指令做出反应，能够制作逼真的图像以及像真人一样回答问题。报告还称，亚马逊旗下云计算部门AWS、谷歌母公司Alphabet Inc.、英伟达公司和OpenAI的投资者微软很可能成为人工智能热潮的最大赢家。财联社6月2日讯（编辑 卞纯）去年底人工智能（AI）聊天机器人ChatGPT的问世，在全球范围内掀起了一股AI热潮，并推动AI的发展步入“快车道”。根据一份行业报告，ChatGPT及其竞争对手谷歌Bard等AI工具的发布，将推动一场长达十年的AI繁荣，预计到2032年，生成式AI市场的营收规模将从去年的400亿美元增长逾30倍至1.3万亿美元。根据以曼迪普·辛格（Mandeep Singh）为首的彭博智库（Bloomberg Intelligence）分析师发布的一份新报告，未来十年生成式AI行业可能会以高达42%的复合速度高速增长。报告指出，生成式AI市场将首先由训练AI系统所必需的基础设施需求推动，到2032年，这方面的业务收入将达到2470亿美元；然后，增长动力来自使用AI模型、广告等服务的设备，到2032年，AI支持的数字广告业务收入将达1920亿美元，AI服务器的收入可能达1340亿美元。“未来十年，世界将看到AI领域的爆炸式增长，这有望从根本上改变科技行业的运作方式。” 辛格周四在一份声明中表示。“随着这项技术的发展，它将成为IT支出、广告支出和网络安全等领域中越来越重要的一部分。”自去年年底ChatGPT推出以来，对生成式AI的需求在全球范围内激增，这项技术有望颠覆从客户服务到银行业的一切。这一生成式AI产品使用来自互联网的大量数据样本来学习如何对指令做出反应，能够制作逼真的图像以及像真人一样回答问题。报告还称，亚马逊旗下云计算部门AWS、谷歌母公司Alphabet Inc.、英伟达公司和OpenAI的投资者微软很可能成为人工智能热潮的最大赢家。"
  };
  @override
  Widget build(BuildContext context) {
    return Scrollbar(
        child: Scaffold(
            appBar: AppBar(title: const Text('活动详情'), actions: <Widget>[
              IconButton(
                icon: const Icon(Icons.edit_outlined),
                onPressed: () async {
                  CommonToast.okToast('点击了分享');
                },
              ),
              Padding(
                  padding: const EdgeInsets.only(left: 30, right: 30),
                  child: IconButton(
                    icon: const Icon(Icons.delete_outlined),
                    onPressed: () {
                      CommonToast.okToast('点击了删除详情');
                      Navigator.pushNamed(context, "/");
                    },
                  )),
              Padding(
                  padding: const EdgeInsets.only(right: 30),
                  child: IconButton(
                    icon: const Icon(Icons.camera_alt_outlined),
                    onPressed: () {
                      Navigator.pushNamed(context, "/photography");
                    },
                  )),
            ]),
            body: SingleChildScrollView(
                child: Padding(
                    padding: const EdgeInsets.all(20),
                    child: Column(
                        crossAxisAlignment: CrossAxisAlignment.start,
                        children: [
                          renderLabel('名称'),
                          renderValue(data['title'].toString()),
                          const SizedBox(height: 20),
                          renderLabel('地点'),
                          renderValue(data['area'].toString()),
                          const SizedBox(height: 20),
                          renderLabel('日期'),
                          renderValue(data['creatTime'].toString()),
                          const SizedBox(height: 20),
                          renderLabel('连拍张数'),
                          renderValue(data['lpzs'].toString() + '张'.toString()),
                          const SizedBox(height: 20),
                          renderLabel('自拍张数'),
                          renderValue(data['zpzs'].toString() + '张'.toString()),
                          const SizedBox(height: 20),
                          renderLabel('自拍首张额外补充时间'),
                          renderValue(data['bcsj'].toString() + '秒'.toString()),
                          const SizedBox(height: 20),
                          renderLabel('平铺相纸'),
                          renderValue(
                              data['isPt'].toString() == 'true' ? '是' : '否'),
                          const SizedBox(height: 20),
                          const Text('边框'),
                          Center(
                              child: data['image'].toString() != ''
                                  ? const Text('')
                                  : Image.asset(data['image'].toString())),
                        ])))));
  }

  Widget renderLabel(String name) {
    return Text(name,
        style: const TextStyle(
          fontSize: 16,
          overflow: TextOverflow.ellipsis,
        ));
  }

  Widget renderValue(String value) {
    return Text(value,
        style: const TextStyle(
          fontSize: 20,
          overflow: TextOverflow.ellipsis,
        ));
  }
}
